com.google.gwt.logging.client

## Class HtmlLogFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - com.google.gwt.logging.impl.FormatterImpl
    - - com.google.gwt.logging.client.HtmlLogFormatter

    public class HtmlLogFormatter
    extends com.google.gwt.logging.impl.FormatterImpl

Formats LogRecords into HTML. Subclasses should override the GetHtmlPrefix and GetHtmlSuffix methods rather than format to ensure that the message is properly escaped.

### Constructor Summary

Constructors
Constructor and Description
`HtmlLogFormatter(boolean showStackTraces)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `format(java.util.logging.LogRecord event)`
`protected java.lang.String` `getHtmlPrefix(java.util.logging.LogRecord event)`
`protected java.lang.String` `getHtmlSuffix(java.util.logging.LogRecord event)`

### Methods inherited from class com.google.gwt.logging.impl.FormatterImpl

`getRecordInfo, getStackTraceAsString`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlLogFormatter

    public HtmlLogFormatter(boolean showStackTraces)

### Method Detail

#### format

    public java.lang.String format(java.util.logging.LogRecord event)

Specified by:
  `format` in class `java.util.logging.Formatter`

#### getHtmlPrefix

    protected java.lang.String getHtmlPrefix(java.util.logging.LogRecord event)

#### getHtmlSuffix

    protected java.lang.String getHtmlSuffix(java.util.logging.LogRecord event)